Problema con actualización de xserver-xorg-video-intel

Buenas!!!

Os voy a hacer una consulta que a lo mejor es de novato (os pido disculpas si es así). Se trata de una actualización que desde hace un par de semanas me viene dando el gestor de actualizaciones de Ubuntu 7.10. Es la actualización del driver xserver-xorg-video-intel, que presupongo que es un driver gráfico para los micros Intel, por lo que me dice la descripción:

 

This package provides the driver for the Intel i8xx and i9xx family of chipsets, including i810, i815, i830, i845, i855, i865, i915, i945 and i965 series chips.
This package also provides an XvMC (XVideo Motion Compensation) driver for the same chipsets.

This package is built from the X.org xf86-video-intel driver module.

Resulta que instalé esta actualización en un PC con un micro AMD64, y con una gráfica ATI. Una vez instalado, todo iba normal, pero cuando reinicié el PC, al ir a entrar a Ubuntu, me salía un mensaje de error en el monitor ("VIDEO INCOMPATIBLE"), así que se me jodió el SO y tuve que reinstalarlo. También tengo pendiente esa actualización en un portátil con una gráfica ATI y con un procesador Intel Centrino. No la he instalado aún hasta asegurarme de cuál es el problema o la solución, no vaya a ser que me pete otra vez el SO.

A ver si vosotros podéis encontrar una explicación a esto, porque me tiene un poco jodido. Si dicho driver es incompatible con los micros AMD o con las tarjetas ATI, a ver si me podéis decir cómo puedo "saltarme", digamos, esa actualización, ya que me resulta un pelín molesto tener siempre el icono de las actualizaciones en la barra de tareas.

Muchas gracias por la ayuda!!! ^^